package main

import (
	"context"
	"fmt"
	"os"

	"dance-lessons-coach/pkg/greet"
)

func main() {
	service := greet.NewService()
	name := ""
	if len(os.Args) > 1 {
		name = os.Args[1]
	}

	fmt.Println(service.Greet(context.Background(), name))
}
